function RES=getRemovedPatternReturn(ARG,A)
% Построение функции g(t) (с удаленной маской внутридневной) -
% на основании статьи
% Stanley E. etc "The statistical properties of the volatility of price uctuations"
% Вход  : ARG - матрица исходных значений
%         A - матрица intra-day
% Выход : RES - матрица нормализованных по дням возвратов

[mA,nA]=size(A);
[m,n]=size(ARG);

for i=1:nA
    index=i;
    while index<=n
        for j=1:m
            RES(j,index)=ARG(j,index)/A(j,i);
        end
        index=index+nA;
    end
end